# Class: AnnotationFactory

## AnnotationFactory

#### new AnnotationFactory()

Source:
  - core/annotation.js, line 31

### Methods

#### create(xref, ref, pdfManager, idFactory) → {Annotation}

##### Parameters:

Name | Type | Description
--- | --- | ---
`xref` | XRef |
`ref` | Object |
`pdfManager` | PDFManager |
`idFactory` | Object |

Source:
  - core/annotation.js, line 40

##### Returns:

Type
  Annotation